/**************************************************/
/******************* RESETEADOR *******************/
/**************************************************/

/* http://meyerweb.com/eric/tools/css/reset/ v2.0 */

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
}

/* Old browsers / Para viejos exploradores */

article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
    display: block;
}

body {
    line-height: 1.5;
}

ol, ul {
    list-style: none;
}

blockquote, q {
    quotes: none;
}

blockquote:before, blockquote:after,
q:before, q:after {
    content: '';
    content: none;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

/**************************************************/

/* Fuentes */

@font-face {
    font-family: "Alegreya Regular";
    src: url(../ttf/alegreya-regular.ttf);
}

@font-face {
    font-family: "Alegreya Italic";
    src: url(../ttf/alegreya-italic.ttf);
}

@font-face {
    font-family: "Alegreya Bold";
    src: url(../ttf/alegreya-bold.ttf);
}

@font-face {
    font-family: "Alegreya BoldItalic";
    src: url(../ttf/alegreya-bolditalic.ttf);
}

/* General */

body * {
  font-family: "Alegreya Regular", "Trebuchet MS", Helvetica, sans-serif;
}

i, em {
  font-family: "Alegreya Italic", "Trebuchet MS", Helvetica, sans-serif;
}

b, strong {
  font-family: "Alegreya Bold", "Trebuchet MS", Helvetica, sans-serif;
}

b > i, i > b,
b > em, em > b,
strong > i, i > strong
strong > em, em > strong {
  font-family: "Alegreya Bold", "Trebuchet MS", Helvetica, sans-serif;
}

ol {
  margin: 1em 1em 1em 2.5em;
  list-style-type: decimal;
}

a, a:link, a:visited, a:hover, a:active {
  color: #BBCED6;
  text-decoration: none;
}

*:focus {
  outline: none;
}

/* Menú */

#menu, .menu-btn > *, .score, .track {
  -webkit-user-select: none;  /* Chrome all / Safari all */
  -moz-user-select: none;     /* Firefox all */
  -ms-user-select: none;      /* IE 10+ */
  user-select: none;
}

#menu {
  width: 100vw;
}

.menu-btn {
  width: 40%;
  margin: 1em auto;
  padding: .5em;
  border-radius: .5em;
  cursor: pointer;
  background-color: #F1F9FA;
}

#new {
  margin-top: 33vh;
}

#continue, #end {
  background-color: #E3F5E9;
}

#start {
  margin-top: 3em;
  background-color: #E3F5E9;
}

.menu-btn > * {
  text-align: center;
  color: #848484;
}

.menu-slider {
  width: 80%;
  margin-top: 2em;
  margin-left: 10%;
  padding: 0;
}

.menu-slider > p {
  width: 100%;
  text-align: center;
  -webkit-user-select: none;  /* Chrome all / Safari all */
  -moz-user-select: none;     /* Firefox all */
  -ms-user-select: none;      /* IE 10+ */
  user-select: none;
}

.menu-slider > p:nth-child(2) {
  font-size: 2em;
  color: #BBCED6;
}

.menu-slider > input {
  width: 100%;
  margin: 0;
  padding: 0;
  opacity: 0.25;
  cursor: pointer;
}

select {
  display: block;
  width: 80%;
  margin: 15vh auto 0 auto;
  padding: .5em;
  text-align: center;
  color: black;
  background: white;
  border: 1px solid #ddd;
  border-radius: .5em;
}

/* Ítems */

.item {
  margin-top: 15vh;
}

.item > p {
  width: 80%;
  margin: 1em auto;
  font-size: 2em;
  line-height: 1;
}

.item-opt {
  width: 60%;
  margin: 1em auto 0 auto;
  border: 2px solid #F1F9FA;
}

.item-opt > * {
  color: black;
}

.correct p:after {
  content: '✓';
  color: green;
  position: absolute;
  right: 10%;
  opacity: 1 !important;
}

.incorrect p:after {
  content: '⨯';
  color: red;
  position: absolute;
  right: 10%;
  opacity: 1 !important;
}

.right, .wrong {
  opacity: 0.5;
}

.right {
  color: green;
  text-decoration: underline;
}

.red, .wrong {
  color: red;
}

/* Rastro  */

.score {
  position: absolute;
  top: 1em;
  width: 100%;
  text-align: center;
  color: #BBCED6;
}

.score b {
  display: block;
  margin-top: -0.25em;
  font-size: 2em;
}

.red {
  opacity: 0.5;
}

.track {
  position: absolute;
  top: 1em;
  right: 1em;
  width: 25%;
  text-align: center;
  color: #BBCED6;
}

.track:nth-child(2) {
  left: 1em;
}

/* Navegación */

nav {
  width: 9em;
  margin: 2em auto;
}

.nav-btn {
  display: inline-block;
  width: 2em;
  height: 2em;
  margin: 0;
}

.nav-btn p {
  padding-top: .3em;
  color: white;
}

nav > div:first-child {
  margin-right: 3em;
  background-color: #BBCED6;
}

nav > div:last-child {
  background-color: #BBD6C7;
}

/* Puntajes */

#top {
  width: 80%;
  margin: 15vh auto 0 auto;
  font-size: 1em;
}

/* Efecto de destello de: https://stackoverflow.com/questions/16344354/how-to-make-blinking-flashing-text-with-css-3 */
#new-record {
  -webkit-animation: blinker .5s linear infinite;
  animation: blinker .5s linear infinite;
}

@-webkit-keyframes blinker {
  50% { 
    opacity: 0;
  }
}

@keyframes blinker {
  50% {
    opacity: 0;
  }
}

/* Acerca */

#credits {
  width: 80%;
  margin: 15vh auto 0 auto;
  text-align: center;
}

#credits h1 {
  margin-top: 1em;
}
